commit:     6a4ef322c7f5386e4476ccdd4b887a295ef38c4a
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sun Sep  1 10:21:34 2019 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Sep  1 10:21:34 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6a4ef322

sys-fs/hfsplusutils: Port to EAPI 7, keyword amd64

Package-Manager: Portage-2.3.74, Repoman-2.3.17
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 .../files/hfsplusutils-1.0.4-errno.patch           | 10 ++----
 .../files/hfsplusutils-1.0.4-gcc4.patch            | 20 ++++++------
 .../files/hfsplusutils-1.0.4-glob.patch            |  4 +--
 ....0.4-r1.ebuild => hfsplusutils-1.0.4-r2.ebuild} | 37 ++++++++++++----------
 4 files changed, 35 insertions(+), 36 deletions(-)

diff --git a/sys-fs/hfsplusutils/files/hfsplusutils-1.0.4-errno.patch 
b/sys-fs/hfsplusutils/files/hfsplusutils-1.0.4-errno.patch
index c9caeb4208f..f15e56cc1d9 100644
--- a/sys-fs/hfsplusutils/files/hfsplusutils-1.0.4-errno.patch
+++ b/sys-fs/hfsplusutils/files/hfsplusutils-1.0.4-errno.patch
@@ -1,6 +1,5 @@
-diff -ruN hfsplus.orig/src/hpmkdir.c hfsplus-1.0.4/src/hpmkdir.c
---- hfsplus.orig/src/hpmkdir.c 2003-03-30 20:09:59.000000000 +0200
-+++ hfsplus-1.0.4/src/hpmkdir.c        2003-03-30 20:11:15.000000000 +0200
+--- a/src/hpmkdir.c
++++ b/src/hpmkdir.c
 @@ -46,8 +46,9 @@
  # include <string.h>
  # include <time.h>
@@ -12,8 +11,3 @@ diff -ruN hfsplus.orig/src/hpmkdir.c 
hfsplus-1.0.4/src/hpmkdir.c
  # include <stdio.h>
  # include <stdlib.h>
  
-@@ -164,3 +165,4 @@
-     hfsputil_perrorp(argv0);
-     return -1;
- }
-+

diff --git a/sys-fs/hfsplusutils/files/hfsplusutils-1.0.4-gcc4.patch 
b/sys-fs/hfsplusutils/files/hfsplusutils-1.0.4-gcc4.patch
index 04724440ddb..6f633454d3d 100644
--- a/sys-fs/hfsplusutils/files/hfsplusutils-1.0.4-gcc4.patch
+++ b/sys-fs/hfsplusutils/files/hfsplusutils-1.0.4-gcc4.patch
@@ -1,5 +1,5 @@
---- hfsplus-1.0.4/libhfsp/src/btree.c~ 2002-03-05 19:50:28.000000000 +0000
-+++ hfsplus-1.0.4/libhfsp/src/btree.c  2005-04-30 12:48:48.000000000 +0100
+--- a/libhfsp/src/btree.c
++++ b/libhfsp/src/btree.c
 @@ -393,7 +393,7 @@ static int btree_init(btree* bt, volume*
        {
            p = volume_readfromfork(vol, nodebuf, fork, 0, bt->blkpernode,
@@ -9,8 +9,8 @@
        }
        
        bt->alloc_bits = malloc(alloc_size);
---- hfsplus-1.0.4/libhfsp/src/swab.h~  2002-03-05 19:50:29.000000000 +0000
-+++ hfsplus-1.0.4/libhfsp/src/swab.h   2005-04-30 12:48:05.000000000 +0100
+--- a/libhfsp/src/swab.h
++++ b/libhfsp/src/swab.h
 @@ -36,28 +36,28 @@
  
  #define bswabU16(val) bswap_16(val)
@@ -56,8 +56,8 @@
 -#define bstoreU8_inc(ptr,val) (*((UInt8*) (ptr))++) = val
 +#define bswabU8_inc(ptr)      (*(*((UInt8**) (void *)(&ptr)))++)
 +#define bstoreU8_inc(ptr,val) (*(*((UInt8**) (void *)(&ptr)))++) = val
---- hfsplus-1.0.4/libhfsp/src/btreecheck.c~    2002-03-05 19:50:29.000000000 
+0000
-+++ hfsplus-1.0.4/libhfsp/src/btreecheck.c     2005-04-30 12:49:22.000000000 
+0100
+--- a/libhfsp/src/btreecheck.c
++++ b/libhfsp/src/btreecheck.c
 @@ -264,7 +264,7 @@ static int fscheck_btree_init(btree* bt,
        {
            p = volume_readfromfork(vol, nodebuf, fork, 0, bt->blkpernode,
@@ -67,8 +67,8 @@
        }
        
        bt->alloc_bits = malloc(alloc_size);
---- hfsplus-1.0.4/libhfsp/src/fscheck.c~       2002-03-25 15:48:37.000000000 
+0000
-+++ hfsplus-1.0.4/libhfsp/src/fscheck.c        2005-04-30 12:50:26.000000000 
+0100
+--- a/libhfsp/src/fscheck.c
++++ b/libhfsp/src/fscheck.c
 @@ -230,7 +230,7 @@ static int fscheck_volume_readbuf(volume
      vh->write_count   = bswabU32_inc(p);
      vh->encodings_bmp = bswabU64_inc(p);
@@ -94,8 +94,8 @@
        signature = bswabU16_inc(p);    /* offset 0x7C, drEmbedSigWord */
        if (signature != HFSP_VOLHEAD_SIG)
            HFSP_ERROR(-1, "This looks like a normal HFS volume");
---- hfsplus-1.0.4/libhfsp/src/volume.c~        2002-03-26 18:00:29.000000000 
+0000
-+++ hfsplus-1.0.4/libhfsp/src/volume.c 2005-04-30 12:51:41.000000000 +0100
+--- a/libhfsp/src/volume.c
++++ b/libhfsp/src/volume.c
 @@ -345,7 +345,7 @@ static int volume_readbuf(hfsp_vh* vh, v
      vh->write_count   = bswabU32_inc(p);
      vh->encodings_bmp = bswabU64_inc(p);

diff --git a/sys-fs/hfsplusutils/files/hfsplusutils-1.0.4-glob.patch 
b/sys-fs/hfsplusutils/files/hfsplusutils-1.0.4-glob.patch
index cd92d0a0a86..776d69ed825 100644
--- a/sys-fs/hfsplusutils/files/hfsplusutils-1.0.4-glob.patch
+++ b/sys-fs/hfsplusutils/files/hfsplusutils-1.0.4-glob.patch
@@ -1,5 +1,5 @@
---- src/glob.c.orig    2002-10-09 08:02:31.000000000 -0500
-+++ src/glob.c 2002-10-09 08:02:46.000000000 -0500
+--- a/src/glob.c
++++ b/src/glob.c
 @@ -48,7 +48,7 @@
  
        switch (*pat)

diff --git a/sys-fs/hfsplusutils/hfsplusutils-1.0.4-r1.ebuild 
b/sys-fs/hfsplusutils/hfsplusutils-1.0.4-r2.ebuild
similarity index 55%
rename from sys-fs/hfsplusutils/hfsplusutils-1.0.4-r1.ebuild
rename to sys-fs/hfsplusutils/hfsplusutils-1.0.4-r2.ebuild
index 71cc51b2eba..4e624f1b33c 100644
--- a/sys-fs/hfsplusutils/hfsplusutils-1.0.4-r1.ebuild
+++ b/sys-fs/hfsplusutils/hfsplusutils-1.0.4-r2.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI="5"
+EAPI=7
 
-inherit autotools eutils flag-o-matic
+inherit autotools flag-o-matic
 
 MY_P="hfsplus_${PV}"
 DESCRIPTION="HFS+ Filesystem Access Utilities (a PPC filesystem)"
@@ -12,33 +12,38 @@ 
SRC_URI="http://penguinppc.org/historical/hfsplus/${MY_P}.src.tar.bz2";
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="ppc ppc64 x86"
+KEYWORDS="~amd64 ppc ppc64 x86"
 IUSE="static-libs"
 
-DEPEND="app-arch/bzip2"
-RDEPEND=""
+S="${WORKDIR}/hfsplus-${PV}"
 
-S=${WORKDIR}/hfsplus-${PV}
+PATCHES=(
+       "${FILESDIR}"/${P}-glob.patch
+       "${FILESDIR}"/${P}-errno.patch
+       "${FILESDIR}"/${P}-gcc4.patch
+       "${FILESDIR}"/${P}-string.patch
+       "${FILESDIR}"/${P}-stdlib.patch
+       "${FILESDIR}"/${P}-cflags.patch
+)
 
 src_prepare() {
-       epatch "${FILESDIR}/${P}-glob.patch"
-       epatch "${FILESDIR}/${P}-errno.patch"
-       epatch "${FILESDIR}/${P}-gcc4.patch"
-       epatch "${FILESDIR}/${P}-string.patch"
-       epatch "${FILESDIR}/${P}-stdlib.patch"
-       epatch "${FILESDIR}/${P}-cflags.patch"
+       default
+
        # let's avoid the Makefile.cvs since isn't working for us
+       mv configure.{in,ac} || die
        eautoreconf
-
-       append-flags -fgnu89-inline
 }
 
 src_configure() {
+       # bug 580620
+       append-flags -fgnu89-inline
+
        econf $(use_enable static-libs static)
 }
 
 src_install() {
        default
-       find "${ED}"/usr/ -name libhfsp.la -delete
        newman doc/man/hfsp.man hfsp.1
+
+       find "${D}" -name '*.la' -delete || die
 }

Reply via email to